import request from '@/common/axiosHelper.js';
/* 获取签证类型 */
export function GetQianzhengDropDown(type) {
 
  return request({
	url: '/Requisition/GetQianzhengDropDown',
	method: 'GET',
	params:{type:type}
  })
}
/* 向签证申请表插入数据 */
export function InsertRequisition(data) { 
  return request({
		url: '/Requisition/InsertRequisition',
		method: 'POST',
		data:data
  });
}

/* 更新签证申请单 */
export function UpdateRequisition(data) { 
  return request({
		url: '/Requisition/UpdateRequisition',
		method: 'POST',
		data:data
  });
}

/* 根据项目代码获取关联合同列表 */
export function GetRelationContract(projectCode,search) { 
  return request({
		url: '/Requisition/GetRelationContract',
		method: 'get',
		params:{projectCode:projectCode,search:search}
  });
}

/* 获取签证申请单列表 */
export function GetRequisitionList(projectCode,type) { 
  return request({
		url: '/Requisition/GetRequisitionList',
		method: 'get',
		params:{projectCode:projectCode,type:type}
  });
}


/* 获取签证申请单详情 */
export function GetRequistionDetail(reqisitionCode) { 
  return request({
		url: '/Requisition/GetRequistionDetail',
		method: 'get',
		params:{reqisitionCode:reqisitionCode}
  });
}

	

/* 根据项目代码，签证类型获取签证申请单列表 */
export function SelectRequisitionList(projectCode,requisitionType,searchValue) { 
  return request({
		url: '/Requisition/SelectRequisitionList',
		method: 'get',
		params:{projectCode:projectCode,requisitionType:requisitionType,searchValue:searchValue}
  });
}

/* 根据项目代码和签证申请单号获取相应的申请单关联合同 */
export function GetRelationRequistionContract(projectCode) { 
  return request({
		url: '/Requisition/GetRelationRequistionContract',
		method: 'get',
		params:{projectCode:projectCode}
  });
}

/*根据供应商编码获取供应商扩展信息*/
export function GetzzSupplierExList(supplierCode) { 
  return request({
		url: '/SupplierApply/GetzzSupplierExList',
		method: 'get',
		params:{supplierCode:supplierCode}
  });
}

/*根据供应商编码获取供应商扩展信息*/
export function GetzzSupplierExListByProject(projectCode) { 
  return request({
		url: '/SupplierApply/GetzzSupplierExListByProject',
		method: 'get',
		params:{projectCode:projectCode}
  });
}

/*获取供应商扩展实例信息*/
export function GetzzSupplierEx(id) { 
  return request({
		url: '/SupplierApply/GetzzSupplierEx',
		method: 'get',
		params:{id:id}
  });
}

/* 供应商扩展信息添加 */
export function InsertzzSupplierEx(data) { 
  return request({
		url: '/SupplierApply/InsertzzSupplierEx',
		method: 'POST',
		data:data
  });
}


/* 更改供应商申请信息 */
export function UpdatezzSupplierEx(data) { 
  return request({
		url: '/SupplierApply/UpdatezzSupplierEx',
		method: 'POST',
		data:data
  });
}

/* 管理员审核供应商提交的信息 */
export function AuditzzSupplierEx(data) { 
  return request({
		url: '/SupplierApply/AuditzzSupplierEx',
		method: 'POST',
		data:data
  });
}

/* 提交供应商申请信息 */
export function SubmitzzSupplierEx(data) { 
  return request({
		url: '/SupplierApply/SubmitzzSupplierEx',
		method: 'POST',
		data:data
  });
}
/*根据供应商编号获取其对应所有项目*/
export function GetProjectBySupplierCode(supplierCode) { 
  return request({
		url: '/SupplierApply/GetProjectBySupplierCode',
		method: 'get',
		params:{supplierCode:supplierCode}
  });
}

/*删除供应商扩展信息*/
export function DeletezzSupplierEx(suppliercode,id) { 
  return request({
		url: '/SupplierApply/DeletezzSupplierEx',
		method: 'get',
		params:{suppliercode:suppliercode,id:id}
  });
}